org.apache.avro.ipc

## Class MD5

- java.lang.Object
- - org.apache.avro.specific.SpecificFixed
  - - org.apache.avro.ipc.MD5

- All Implemented Interfaces:
    Externalizable, Serializable, Comparable<SpecificFixed>, GenericContainer, GenericFixed

      @FixedSize(value=16)
      public class MD5
      extends SpecificFixed

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Schema` | `SCHEMA$`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MD5()` Creates a new MD5
    `MD5(byte[] bytes)` Creates a new MD5 with the given bytes.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Schema` | `getClassSchema()`
    `Schema` | `getSchema()` The schema of this instance.
    `void` | `readExternal(ObjectInput in)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class org.apache.avro.specific.SpecificFixed

      `bytes, bytes, compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA$

          public static final Schema SCHEMA$

  - ### Constructor Detail

    - #### MD5

          public MD5()

      Creates a new MD5

    - #### MD5

          public MD5(byte[] bytes)

      Creates a new MD5 with the given bytes.
      Parameters:
        `bytes` - The bytes to create the new MD5.

  - ### Method Detail

    - #### getClassSchema

          public static Schema getClassSchema()

    - #### getSchema

          public Schema getSchema()

      Description copied from interface: `GenericContainer`
      The schema of this instance.
      Specified by:
        `getSchema` in interface `GenericContainer`
      Specified by:
        `getSchema` in class `SpecificFixed`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Specified by:
        `writeExternal` in class `SpecificFixed`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException

      Specified by:
        `readExternal` in interface `Externalizable`
      Specified by:
        `readExternal` in class `SpecificFixed`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.